### Struct

# Camel WeakRefGroup

#### Description

    struct CamelWeakRefGroup {
      /* No available fields */
    }

No description available.

#### Constructors

###### camel_weak_ref_group_new

No description available.

since: 3.24

#### Instance methods

###### camel_weak_ref_group_get

No description available.

since: 3.24

###### camel_weak_ref_group_ref

Increases a reference count of the `group`.

since: 3.24

###### camel_weak_ref_group_set

Sets the `object` as the object help by this `group`. If the `object` is `NULL`, then unsets any previously set.

since: 3.24

###### camel_weak_ref_group_unref

Decreases a reference count of the `group`. The `group` is freed when the reference count reaches zero.

since: 3.24